aboutsummaryrefslogtreecommitdiffstats
path: root/packages/cherokee/files/configure.patch
diff options
context:
space:
mode:
Diffstat (limited to 'packages/cherokee/files/configure.patch')
-rw-r--r--packages/cherokee/files/configure.patch127
1 files changed, 0 insertions, 127 deletions
diff --git a/packages/cherokee/files/configure.patch b/packages/cherokee/files/configure.patch
deleted file mode 100644
index 9c34d961ac..0000000000
--- a/packages/cherokee/files/configure.patch
+++ /dev/null
@@ -1,127 +0,0 @@
-
-#
-# Patch managed by http://www.xwaves.net
-#
-
---- cherokee-0.4.29/configure~configure
-+++ cherokee-0.4.29/configure
-@@ -28929,59 +28929,8 @@
- if test "x$have_epoll_include" = "xyes"; then
- echo "$as_me:$LINENO: checking for epoll system call" >&5
- echo $ECHO_N "checking for epoll system call... $ECHO_C" >&6
--
-- if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
-- #include <stdint.h>
-- #include <sys/param.h>
-- #include <sys/types.h>
-- #include <sys/syscall.h>
-- #include <sys/epoll.h>
-- #include <unistd.h>
--
-- int epoll_create (int size) {
-- return (syscall(__NR_epoll_create, size));
-- }
--
-- int main (int argc, char **argv) {
-- int epfd;
-- epfd = epoll_create(256);
-- exit (epfd == -1 ? 1 : 0);
-- }
--
--_ACEOF
--rm -f conftest$ac_exeext
--if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-- (eval $ac_link) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-- (eval $ac_try) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
-- have_epoll=yes
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--fi
--rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
-+have_epoll=yes
-+
- echo "$as_me:$LINENO: result: $have_epoll" >&5
- echo "${ECHO_T}$have_epoll" >&6
- fi
-@@ -32593,55 +32542,9 @@
- # Is sendfile broken?
- echo "$as_me:$LINENO: checking if sendfile works" >&5
- echo $ECHO_N "checking if sendfile works... $ECHO_C" >&6
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--#include <errno.h>
-- int main() {
-- int o = 0;
-- if (-1 == sendfile(0, 0, &o, 0) && errno == ENOSYS) return -1;
-- return 0;
-- }
--_ACEOF
--rm -f conftest$ac_exeext
--if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-- (eval $ac_link) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-- (eval $ac_try) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
-- echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
-
--( exit $ac_status )
-- echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6
--
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_SENDFILE_BROKEN 1
--_ACEOF
--
--fi
--rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
-+echo "$as_me:$LINENO: result: yes" >&5
-+echo "${ECHO_T}yes" >&6
-
- # readdir_r()
-